Jump to content

  • You cannot start a new topic
  • You cannot reply to this topic

Upgrade Instructions 1.3.5 > 2.0 Rate Topic   - - - - -

 
  • Darius
  • Douchebag
  • Members
  • Join Date: 20-Apr 08
  • 3360 posts

Posted 18 June 2009 - 09:52 AM #41

Will there be an official notification of a roadmap/plan for an upgrade script?

Seems silly not to help 1.3.5 users move with the times, since existing users are often the best contributors to development just by sheer usage.

I have my 2.0 installed running in parallel with 1.3.5 but would live to migrate ... once it is easy to do so!

Info pls?

Pretty please?

Thanks,

Robert


I doubt if it ever be easy to migrate :)

 
  • raizscanlon
  • Junior Member
  • Members
  • Join Date: 16-Nov 08
  • 8 posts

Posted 18 June 2009 - 10:10 AM #42

Oh. So I should go in search of another shopping cart that is willing to be more helpful? Kinda makes us stuck.

Do you have a more helpful answer than "I doubt if it ever be easy to migrate"?

Do you mean:

- Better to start a greenfield install.
- Don't bother migrating, it isn't worth it.
- It isn't easy unless you pay someone.
- The databases don't match at all so it's not worth the effort.

What is it that isn't making it easy?

Again, you must understand our frustration - as a current user, I would expect to have *some* idea of planning to keep up with upgrades.

Thanks for at least being honest!

Robert

 
  • Darius
  • Douchebag
  • Members
  • Join Date: 20-Apr 08
  • 3360 posts

Posted 18 June 2009 - 10:35 AM #43

Oh. So I should go in search of another shopping cart that is willing to be more helpful? Kinda makes us stuck.

Do you have a more helpful answer than "I doubt if it ever be easy to migrate"?

Do you mean:

- Better to start a greenfield install.
- Don't bother migrating, it isn't worth it.
- It isn't easy unless you pay someone.
- The databases don't match at all so it's not worth the effort.

What is it that isn't making it easy?

Again, you must understand our frustration - as a current user, I would expect to have *some* idea of planning to keep up with upgrades.

Thanks for at least being honest!

Robert


What is it you don't understand? Are you using SP3 or SP4?

 
  • joe
  • Senior Member
  • Members
  • Join Date: 06-Jan 09
  • 824 posts

Posted 18 June 2009 - 10:49 AM #44

I don't expect it now. I need Live Help!!!!!!!!!!!
PM me for custom project

 
  • djuzapto
  • Member
  • Members
  • Join Date: 05-Mar 09
  • 135 posts

Posted 18 June 2009 - 01:59 PM #45

Dear,
Does anyone know this error when upgrading with "do_upgrade.php"? :

Status: Cleaning database .
Fatal error: Cannot redeclare fn_get_ini_param() (previously declared in /home/www/client/wwwcs/shop/prepare.php:110) in /home/www/client/wwwcs/shop/prepare.php on line 118

Thanks

 
  • Darius
  • Douchebag
  • Members
  • Join Date: 20-Apr 08
  • 3360 posts

Posted 18 June 2009 - 03:07 PM #46

Dear,
Does anyone know this error when upgrading with "do_upgrade.php"? :

Status: Cleaning database .
Fatal error: Cannot redeclare fn_get_ini_param() (previously declared in /home/www/client/wwwcs/shop/prepare.php:110) in /home/www/client/wwwcs/shop/prepare.php on line 118

Thanks


I had also problems at first, all were because db was prepared incorrectly.

 
  • djuzapto
  • Member
  • Members
  • Join Date: 05-Mar 09
  • 135 posts

Posted 18 June 2009 - 04:08 PM #47

Thanks Darius
I will check it

 
  • Darius
  • Douchebag
  • Members
  • Join Date: 20-Apr 08
  • 3360 posts

Posted 18 June 2009 - 04:30 PM #48

I must say that admin settings in converted 135 -> 2.04 and normal 2.04 are different. Some options are missing.

For example:
"Show products from subcategories of the selected category"

Some things in Thumbnail setting page:
"Resize original thumbnail "

 
  • rdr
  • Member
  • Members
  • Join Date: 02-Jun 08
  • 47 posts

Posted 18 June 2009 - 06:08 PM #49

I did some testing with the upgrade script:

DO a clean install of the 204 DO NOT INSTALL SAMPLE DB

if you do have stuff in the db you'll get errors in the upgrade script


Seems to be some issue with the picture, hard to know where the issue is , but
full size picture on my upgrade were corrupted, and additional pictures needed to be redone.

All in All I'm pretty happy with this upgrade (beta?) script, it save me a lot of work

 
  • Darius
  • Douchebag
  • Members
  • Join Date: 20-Apr 08
  • 3360 posts

Posted 18 June 2009 - 06:42 PM #50

I did some testing with the upgrade script:

DO a clean install of the 204 DO NOT INSTALL SAMPLE DB

if you do have stuff in the db you'll get errors in the upgrade script


Seems to be some issue with the picture, hard to know where the issue is , but
full size picture on my upgrade were corrupted, and additional pictures needed to be redone.

All in All I'm pretty happy with this upgrade (beta?) script, it save me a lot of work


Yea, my images were wrecked also. You can import them but first you need to get rid of corrupted ones (empty few db tables) as my 2.04 was adding more and more images with each import attempt.

Aslo you need to edit csv file first colum must be code then detailed then pair.

 
  • djuzapto
  • Member
  • Members
  • Join Date: 05-Mar 09
  • 135 posts

Posted 18 June 2009 - 07:18 PM #51

Dear,
Does anyone know this error when upgrading with "do_upgrade.php"? :

Status: Cleaning database .
Fatal error: Cannot redeclare fn_get_ini_param() (previously declared in /home/www/client/wwwcs/shop/prepare.php:110) in /home/www/client/wwwcs/shop/prepare.php on line 118

Thanks


Dear

It's ok when i cancel line "DROP">
Line 129 > db_query("DROP TABLE ?:$table"); ???????

Now, there is another error (the same) on another line after.
What are you thinking about?

I do the install without database products each times.

 
  • djuzapto
  • Member
  • Members
  • Join Date: 05-Mar 09
  • 135 posts

Posted 19 June 2009 - 08:36 PM #52

It's not good for me.
I still search , test,.......

:confused: :confused: :confused:

 
  • djuzapto
  • Member
  • Members
  • Join Date: 05-Mar 09
  • 135 posts

Posted 21 June 2009 - 05:05 PM #53

Dear

it' ok for the first part of upgrade. SQL changed (i ve used mysqldumper - 70Mb of data with image store in database. It can't be exported by CS135, never the same size, and SQL not complete)

The error are now on the refresh URL > ..../shop/do_upgrade.php?step=rebuild_data

The error is the same > Fatal error: Cannot redeclare fn_get_ini_param() (previously declared in /home/www/client/wwwcs/shop/prepare.php:110) in /home/www/client/wwwcs/shop/prepare.php on line 118

....
Anyone here?!?!?! is the good forum to growing up informations of the CSCart System???

 
  • Yeikov
  • Junior Member
  • Members
  • Join Date: 12-Dec 08
  • 24 posts

Posted 30 June 2009 - 05:53 AM #54

Customers and orders aparently are updated correctly.

Products are not working and I receive the following DB error (see attachment)

The storefront is corrupted.

Admin has some issues as well.